I got the same errors and didn't have to install any packages. Just follow the directions I posted before and it should work fine.